> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mda-troubleshooting-section.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post accounts metrics



## OpenAPI

````yaml post /accounts/{accountId}/metrics
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API.<br />If you
    have any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /accounts/{accountId}/metrics:
    post:
      tags:
        - opentelemetry
        - metrics
      operationId: postAccountsAccountidMetrics
      parameters:
        - name: accountId
          in: path
          schema:
            type: string
            x-format:
              guid: true
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Model3'
      responses:
        default:
          description: Successful
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    Model3:
      type: object
      properties:
        startTime:
          description: Start time as Unix timestamp in seconds or milliseconds
          anyOf:
            - type: string
              format: date
            - type: integer
        endTime:
          description: End time as Unix timestamp in seconds or milliseconds
          anyOf:
            - type: string
              format: date
            - type: integer
        query:
          type: string
          description: Prometheus query string
        step:
          type: number
          description: Query resolution step width in seconds
          default: 60
      required:
        - query
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````